#!/bin/sh

( cd bin ; rm -rf bzcat )
( cd bin ; ln -sf bzip2 bzcat )

if [ ! -d usr/share/mc ]; then

    return 0

fi

if ! grep '^stgz$' usr/share/mc/extfs/extfs.ini > /dev/null 2>&1; then

    echo "stgz" >> usr/share/mc/extfs/extfs.ini

fi

if ! grep '^ptgz$' usr/share/mc/extfs/extfs.ini > /dev/null 2>&1; then

    echo "ptgz" >> usr/share/mc/extfs/extfs.ini

fi

if ! grep '^shell/\.tgz$' usr/share/mc/mc.ext > /dev/null 2>&1; then

    if grep '^shell/\.src\.tgz$' usr/share/mc/mc.ext > /dev/null 2>&1; then

	sed 's}^shell/\.src\.tgz$}shell/.tgz}' usr/share/mc/mc.ext | \
	    sed 's}%p#stgz$}%p#ptgz}' > usr/share/mc/mc.ext.pwtmp
	echo -e "shell/.src.tgz
\tOpen=%cd %p#stgz" > usr/share/mc/mc.ext.pwtmp2
	cat usr/share/mc/mc.ext.pwtmp >> usr/share/mc/mc.ext.pwtmp2
	cat usr/share/mc/mc.ext.pwtmp2 > usr/share/mc/mc.ext
	rm -f usr/share/mc/mc.ext.pwtmp*

    else

	echo -e "shell/.src.tgz
\tOpen=%cd %p#stgz" > usr/share/mc/mc.ext.pwtmp
	echo -e "shell/.tgz
\tOpen=%cd %p#ptgz" >> usr/share/mc/mc.ext.pwtmp
	cat usr/share/mc/mc.ext >> usr/share/mc/mc.ext.pwtmp
	cat usr/share/mc/mc.ext.pwtmp > usr/share/mc/mc.ext
	rm -f usr/share/mc/mc.ext.pwtmp

    fi

else

    if ! grep '^shell/\.src\.tgz$' usr/share/mc/mc.ext > /dev/null 2>&1; then

	echo -e "shell/.src.tgz
\tOpen=%cd %p#stgz" > usr/share/mc/mc.ext.pwtmp
	cat usr/share/mc/mc.ext >> usr/share/mc/mc.ext.pwtmp
	cat usr/share/mc/mc.ext.pwtmp > usr/share/mc/mc.ext
	rm -f usr/share/mc/mc.ext.pwtmp

    fi

fi
